.calendar__overlay{
	position: fixed;
	left: 0;
	top: 0;
	width: 100vw;
	height: 100vh;
	z-index: 999;
	background-color: rgba(0, 0, 0, 0.5);
	visibility: hidden;
	opacity: 0;
	transition: all 0.2s;
}

.calendar__wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
	gap: 5px;
    overflow: hidden;
	background-color: #fff;
    width: 100%;
    max-width: 1000px;
	padding: 40px 2px 20px 2px;
	position: fixed;
	bottom: 0;
	user-select: none;
	opacity: 0;
	visibility: hidden;
	z-index: 1000;
	transition: all var(--time-fast);
	border-top-left-radius: 24px;
    border-top-right-radius: 24px;
}

.calendar__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: absolute;
    width: 95%;
    top: 30px;
}

.calendar__month--btn {
    border: none;
    font-size: 1.2em;
    cursor: pointer;
    padding: 5px 10px;
    transition: opacity .15s;
    /* background: #0050C7; */
	background: transparent;
    border-radius: 3px;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.calendar__month--btn.disabled{
	opacity: 0.7;
	cursor: not-allowed;
}
.calendar__display {
    display: flex;
    gap: 20px;
    width: 100%;
    justify-content: center;
    flex-wrap: wrap;
	min-height: 456px;
}

.calendar__container {
	display: flex;
	flex-direction: column;
	flex: 1 1 100%;
	gap: 20px;
	overflow: hidden;
}

.calendar__month--title{
    text-align: center;
    font-weight: 500;
    color: #0050C7;
}

.calendar__grid {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    text-align: center;
	gap: 3px;
}

.calendar__day--name {
    font-weight: 500;
    padding: 6px 0;
    color: #333;
    font-size: .7em;
	position: relative;
}
.calendar__day--name::before{
    content: "";
    position: absolute;
    height: 1px;
    width: 150%;
    bottom: -1px;
    right: 0;
    background-color: #B6B6B6;
}

.calendar__day--number ,.calendar__day--other{
	padding: 8px 0;
	height: 70px;
	position: relative;
}
.calendar__day--number {
    border-radius: 3px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;	
	border: 1px solid #cccccc21;
    transition: border 0.1s;
	flex-direction: column;
	gap: 4px;
}
.calendar__day--friday .calendar__day-number{
	color: var(--red);
}
.calendar__day--number:hover{	
	border-color: #007bff;
}
.calendar__day--number.selected {
    background-color: #A9CCFF4D;
}
.calendar__day--number.today {
	border-color: #007bff;
}
.calendar__day--past{
	opacity: 0.4;
}
/* .calendar__day--past::after{
    content: "";
    position: absolute;
    width: 60%;
    height: 1px;
    background: #7c7c7c;
    transform: rotate(-50deg);
    top: 17px;
} */
.calendar__without--price::after{
    top: 29px;
}
.calendar__day--past:hover{
	border-color: transparent;
}
.calendar__day-number{
	font-size: 16px;
	color : #000;
}
.calendar__day--price,.calendar__day--price-no{
	font-size: 11px;
	font-weight: 500;
	position: relative;
}
.calendar__day--price{
	color: #545454;
}
.calendar__day--price-no{
	color: #b6b6b6;
}
.calendar__full-capacity .calendar__day--price-no{
	font-size: 9px;
	color: #585858;
}


.calendar__details{
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
    width: 100%;
    gap: 10px;
}
.calendar__options{
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	gap: 15px;
	width: 100%;
}

.calendar__option{
	display: flex;
	align-items: center;
	gap: 5px;
}
.calendar__option--icon{
    width: 10px;
    height: 10px;
    display: block;
}
.calendar__option--title{
	color: #333;
    font-size: 13px;
}
.calendar__detail--text{
	color: #333;
    font-size: 13px;
	text-align: center;
}


.calendar__full-capacity--icon{
	background: var(--red);
}
.calendar__entry-restriction--icon{
	background: var(--secondary-color);
}
.calendar__exit-restriction--icon{
	background: #7D0DDF;
}

.calendar__arrow::after{
	content: "";
	position: absolute;
	display: flex;
    width: 25px;
    height: 25px;
	right: 0;
    top: 0;
	clip-path: polygon(100% 0, 60% 0, 100% 40%);
}

/* .calendar__full-capacity{
	background-color: rgb(229 0 0 / 10%);
} */
.calendar__full-capacity::after{
	background-color : var(--red);
}

/* .calendar__entry-restriction{
	background-color: rgb(255 166 31 / 10%);
} */
.calendar__entry-restriction::after{
	background-color : var(--secondary-color);
}

/* .calendar__exit-restriction{
	background-color: rgb(125 13 223 / 10%);
} */
.calendar__exit-restriction::after{
	background-color : #7D0DDF;
}
.calendar__draggable--icon{
	position: absolute;
	display: flex;
	background-color: #e0e0e0;
	border-radius: 50rem;
	height: 4px;
	width: 60px;
	top: 10px;
	left: 50%;
	-webkit-transform: translateX(-50%);
	transform: translateX(-50%);
}
@media (min-width:767px){
	.calendar__wrapper {
		padding: 25px 15px;
		top: 50%;
		right: 50%;
		transform: translate(50%, -50%);
		bottom: unset;
		gap: 10px;
		border-radius: 2px;
	}
	.calendar__display{
		min-height: 498px;
	}
	.calendar__container {
		flex: 1;		
		gap: 25px;
    }
	.calendar__header {
		width: 97%;
		top: 17px;
	}	
	.calendar__option{
		justify-content: center;
	}
	.calendar__grid {
		gap: 5px;
	}
	.calendar__draggable--icon{
		display: none;
	}
}

.calendar__display--loading .calendar__display{
	pointer-events: none;
}

.calendar__display--loading .calendar__day--price-no::before,.calendar__display--loading .calendar__day--price::before{
	content:"";
	position: absolute;
	right: 50%;
	top: 50%;
	transform: translate(50%,-50%);
	width: 200%;
	height: 50%;
	z-index: 2;
	overflow: hidden;
	background: linear-gradient(90deg, #e0e0e0 25%, #f5f5f5 50%, #e0e0e0 75%);
	background-size: 200% 100%;
	animation: skeleton-loading 1.4s infinite ease-in-out;
	border-radius: 3px;
}
@keyframes skeleton-loading {
  0% { background-position: 200% 0; }
  100% { background-position: -200% 0; }
}
.calendar__display--loading .today{
	border-color: transparent;
}
.d-none{
	display: none;
}

/* *********************************************************** */

/* Start Day Picker */
.calendar-day-picker__wrapper{
	display: flex;
    flex-direction: column;
	gap: 10px;
    overflow: hidden;
	background-color: #fff;
    width: 100%;
	padding: 30px 0 15px 0;	
	position: fixed;
	bottom: 0;
	user-select: none;
	opacity: 0;
	visibility: hidden;
	z-index: 1000;
	transition: all var(--time-fast);
	border-top-left-radius: 24px;
	border-top-right-radius: 24px;
}
.calendar-day-picker__header{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
	font-size: 14px;
}
.day__picker-header--title{
	color: var(--text-dark);
}
.day__picker-header--date{
	color: var(--text-blue);
	font-weight: 500;
}
.calendar-day-picker__display{
	display: flex;
    flex-direction: column;
}
.day-picker__option{
	cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 18px 5px;
    border-bottom: 1px solid #E3E3E3;
}
.day-picker__option:last-child{
	border: none;
}
.day-picker__option--date{
	display: flex;
    align-items: center;
    gap: 3px;
	font-size: 11px;
	color: var(--text-dark);
}
.day-picker__hover {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 15px;
	height: 15px;
	background-color: #D9D9D9;
	border-radius: 50%;
	transition: background-color 0.2s;
	margin-left: 9px;
}
.day-picker__hover::before {
	content: '';
	width: 7px;
	height: 7px;
	background-color: white;
	border-radius: 50%;
}
.day-picker__option:hover .day-picker__hover{
	background-color: var(--priymary-color);
}
.day-picker__date--weekday{
	font-size: 11px;
	height: 17px;
}
.calendar-day-picker__text{
	display: flex;
    align-items: center;
    gap: 10px;
}
.calendar-day-picker__text p{
	font-size: 14px;
	text-align: center;
	color: var(--text-dark);
	position: relative;
}
.calendar-day-picker__text span{
	height: 1px;
    background-color: #AFAFAF;
    flex-grow: 1;
}
.day-picker__price{
	display: flex;
	align-items: center;
	gap: 3px;
}
.day-picker__option-price{
    font-size: 13px;
    color: var(--text-blue);
    font-weight: 500;
}
.day-picker__option-format{
	font-size: 11px;
	color: var(--text-dark);
}
.day-picker__price--gift img{
	width: 15px;
	height: 15px;
}
.calendar_day_picker__draggable--icon{
	position: absolute;
    display: flex;
    background-color: #e0e0e0;
    border-radius: 50rem;
    height: 4px;
    width: 60px;
    top: 10px;
    left: 50%;
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
}
@media (min-width:350px){
	.day-picker__price--gift{
		margin-right: 15px;
		position: relative;
	}
	.day-picker__price--gift::before{
		content: "+";
		position: absolute;
		color: var(--text-dark);
		right: -14px;
		top: 60%;
		transform: translateY(-50%);
	}
	.day-picker__option--date{
		font-size: 13px;
	}
	.day-picker__date--weekday{
		font-size: 13px;
		height: 17px;
	}
	.day-picker__option{
		padding: 18px;
	}
}
@media (min-width:767px){
	.calendar_day_picker__draggable--icon{
		display: none;
	}
	.calendar-day-picker__wrapper {
    	max-width: 700px;
		top: 0;
		right: 0;
		bottom: 0;
		left: 0;
		height: max-content;
		margin: auto;
		border-radius: 2px;
		padding: 15px 0;
	}
	.calendar-day-picker__text p{
		font-size: 16px;
	}
	.day-picker__option--date{
		font-size: 16px;
	}
	.day-picker__option-price{
		font-size: 16px;
	}
	.day-picker__option-format{
		font-size: 13px;
		color: var(--text-dark);
	}
	.calendar-day-picker__header{
		justify-content: start;
		padding: 0 15px;
		font-size: 16px;
	}
	.day-picker__price--gift img{
		width: 25px;
		height: 25px;
	}
	.day-picker__hover {
		width: 20px;
		height: 20px;
	}
	.day-picker__hover::before {
		width: 10px;
		height: 10px;
	}
}
@media screen and (max-height : 680px){
	.calendar__wrapper{
		padding: 25px 2px 10px 2px;
	}
	.calendar__header{
		top: 16px;
	}
	.calendar-day-picker__wrapper{
		padding: 25px 0 0 0;
	}
	.day-picker__option {
        padding: 14px;
    }
}

.calendar__show,.calendar-day-picker--show{
	overflow: hidden;
}
.calendar__show .calendar__wrapper,
.calendar-day-picker--show .calendar-day-picker__wrapper,
.calendar__show .calendar__overlay,
.calendar-day-picker--show .calendar__overlay{
	opacity: 1;
	visibility: visible;
}
